Skip to main content

Get Single Transaction

POST /papi/v1/ramp/connect/prime/transaction

Request Body​

FieldTypeMandatoryRemarks
orderIdstringYesBinance order ID

Example​

{
"orderId": "1234567890"
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/transaction \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"orderId":""}'

Response Body​

FieldTypeRemarks
orderIdstringBinance order ID
clientOrderIdstringClient side order ID
directionstringBUY or SELL
fiatCurrencystringFiat currency
cryptoCurrencystringCrypto currency
fiatAmountdecimalFiat amount
cryptoAmountdecimalCrypto Amount
pricedecimalPrice. 1 crypto currency= {price} fiat currency
statusstringPROCESSING / FILLED / FAILED
spreadAmountstringRevenue from Spread (in Fiat Currency)
createTimetimestampOrder creation time (UTC)
settleTimetimestampSettlement time (UTC)

Example​

{
"orderId": "1234567890",
"clientOrderId": "myOrder001",
"direction": "BUY",
"fiatCurrency": "EUR",
"cryptoCurrency": "BTC",
"fiatAmount": 100,
"cryptoAmount": 0.00102181,
"price": 97849.27,
"status": "FILLED",
"spreadAmount": "0.99",
"createTime": "1692951399",
"settleTime": "1692954999"
}